Intellij IDEA 编译等级与源代码等级不一致问题

错误:Error:java: javacTask: source release 1.7 requires target release 1.7

原因:生成class字节码的java版本,低于了源代码所使用的java语言版本(例如:1.5, 1.7, 1.8 .......)

解决,两个步骤:

a. 修改项目模块所使用的Java版本,IDEA中File -> Project Structure 左侧 Project Settings -> Moduls选中你要编译的模块修改Sources -> Language leavel;

b. 修改编译参数,指定编译模块的目标字节码版本, Setteing -> Build. Execution..-> compiler -> Java Compiler`,修改左侧指定模块的目标字节码版本,不能低于源代码语言版本

注意:项目模块设置使用的语言等级 >= 编译指定的模块语言等级

阅读更多
个人分类: 开发工具
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页

关闭
关闭
关闭